petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscInfoDestroy

Destroys and resets internal PetscInfo() data structures.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoDestroy(void)

Not Collective

### Notes

This is automatically called in PetscFinalize(). Useful for changing filters mid-program, or culling subsequent PetscInfo() calls down the line.

### See Also

PetscInfo(), PetscInfoSetFromOptions()

### Level

developer

### Location

src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages